export declare function generate(jsonSchema: any, outFile: string): void;
export declare function makeFile(outDir: string): void;
export declare function schemaToVuelidate(schema: {
    [key: string]: any;
}): {
    [key: string]: any;
};
export declare function schemaItemToVuelidate(schema: any, key: string, value: {
    [key: string]: any;
}): any;
declare const _default: {
    generate: typeof generate;
    makeFile: typeof makeFile;
    schemaToVuelidate: typeof schemaToVuelidate;
    schemaItemToVuelidate: typeof schemaItemToVuelidate;
};
export default _default;
