"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.vexlidateTemplate = vexlidateTemplate;
exports.indexTemplate = indexTemplate;
function vexlidateTemplate() {
    return `// vexlidate generated
export function classes(vuelidateItem: any): { [key: string]: boolean } {
    return {
        'ion-invalid': vuelidateItem?.$error,
        'ion-touched': vuelidateItem?.$dirty,
    };
}

export function errorText(vuelidateItem: any): string {
    return vuelidateItem?.$errors[0]?.$message as string || ''
}

export function onBlur(vuevuelidateItem: any) :void {
    return vuevuelidateItem.$touch()
}`;
}
function indexTemplate() {
    return `// vexlidate generated
import * as utils from './utils'

export default {
    classes: utils.classes,
    errorText: utils.errorText,
    onBlur: utils.onBlur
}`;
}
