export declare function makeComponent(schema: any, inputContent: string): string;
export declare function textAreaTemplate(key: string, value: {
    [key: string]: any;
}): string;
export declare function IonInputTemplate(key: string, value: {
    [key: string]: any;
}, type?: 'date' | 'email' | 'number' | 'password' | 'search' | 'tel' | 'text' | 'url' | 'time' | 'week' | 'month' | 'datetime-local', inputmode?: 'none' | 'text' | 'tel' | 'url' | 'email' | 'numeric' | 'decimal' | 'search'): string;
export declare function plainTextTemplate(key: string, value: {
    [key: string]: any;
}): string;
export declare function emailTemplate(key: string, value: {
    [key: string]: any;
}): string;
export declare function passwordTemplate(key: string, value: {
    [key: string]: any;
}): string;
export declare function VexIonInputNumberTemplate(key: string, value: {
    [key: string]: any;
}, type: 'float' | 'number' | 'integer'): string;
export declare function floatTemplate(key: string, value: {
    [key: string]: any;
}): string;
export declare function integerTemplate(key: string, value: {
    [key: string]: any;
}): string;
export declare function IonDateTimeComponentTemplate(key: string, value: any, ionDateTimePresentation: any): string;
export declare function dateTimeTemplate(key: string, value: {
    [key: string]: any;
}): string;
export declare function timeDateTemplate(key: string, value: {
    [key: string]: any;
}): string;
export declare function dateTemplate(key: string, value: {
    [key: string]: any;
}): string;
export declare function timeTemplate(key: string, value: {
    [key: string]: any;
}): string;
export declare function monthTemplate(key: string, value: {
    [key: string]: any;
}): string;
export declare function yearTemplate(key: string, value: {
    [key: string]: any;
}): string;
export declare function monthYearTemplate(key: string, value: {
    [key: string]: any;
}): string;
export declare function selectOptionTemplate(key: string, value: {
    [key: string]: any;
}): string;
export declare function switchTemplate(key: string, value: {
    [key: string]: any;
}): string;
export declare function checkboxTemplate(key: string, value: {
    [key: string]: any;
}): string;
